<app-header *ngIf="!(hasRoute('home') ||
   hasRoute('login')  ||
   hasRoute('signup') ||
   hasRoute('**'))">
</app-header>
<router-outlet></router-outlet>
<app-footer *ngIf="!(hasRoute('home') ||
  hasRoute('login') ||
  hasRoute('signup') ||
  hasRoute('**'))">
</app-footer>

